[ejabberd] freebsd ejabberd and jabber-pyaim

Randy Bush randy at psg.com
Thu Oct 5 12:27:16 MSD 2006


>> Could not find the XML DOM. If you're using Twisted 2.x make sure you have
>> twisted.words installed.
> 
> Are you using FreeBSD? If so, do:
> cd /usr/ports
> make search key="twisted" | grep words

null result.

/usr/ports/devel/py-twistedCore had already been installed, so i
could not install /usr/ports/devel/py-twisted as it claimed to
conflict.

same floof at start

# /usr/local/etc/rc.d/jabber-pyaim-transport start
Starting jabber_pyaim.
Could not find the XML DOM. If you're using Twisted 2.x make sure you have twisted.words installed.
Traceback (most recent call last):
  File "/usr/local/lib/jabber/pyaim/PyAIMt.py", line 11, in ?
    import main
  File "/usr/local/lib/jabber/pyaim/src/main.py", line 4, in ?
    import utils
  File "/usr/local/lib/jabber/pyaim/src/utils.py", line 12, in ?
    from tlib.twistwrap import Element, SuxElementStream
  File "/usr/local/lib/jabber/pyaim/src/tlib/twistwrap.py", line 68, in ?
    from twisted.xish.domish import SuxElementStream, Element, unescapeFromXml, elementStream
ImportError: No module named xish.domish

> PS: You also might want to report a bug to the FreeBSD maintainer of the
> PyAIMt port, as it should install the required package automatically.

cc:d above

thanks

randy



More information about the ejabberd mailing list